#!/bin/bash
#
# dm-supported-os.sh
#
# 	 Check supported OS and version by DM.
#
#    Copyright (c) 2005-2006 Userful Corporation
#    
#    Jason Kim <jason@userful.com>
#

TRUE=1
FALSE=0

SUPPORTED_OS=$FALSE

if [ ! -f /etc/userful/os-info ]; then
	/opt/userful/bin/dm-check-os.sh
fi
source /etc/userful/os-info
source /etc/userful/Userful-supported-distro

case "$OSNAME" in
	fedora)
		SUPPORTED_VER=$FEDORA
		;;

	novell)
		SUPPORTED_VER=$NOVELL
		;;

	suse)
		SUPPORTED_VER=$SUSE
		;;

	jds)
		SUPPORTED_VER=$JDS
		SUPPORTED_OS=$TRUE
		;;
		
	redhat)
		SUPPORTED_VER=$REDHAT
		SUPPORTED_OS=$TRUE
		;;

	centos)
		SUPPORTED_VER=$CENTOS
		;;

	mandrake)
		SUPPORTED_VER=$MANDRAKE
		;;

	xandros)
		SUPPORTED_VER=$XANDROS
		;;

	ubuntu)
		SUPPORTED_VER=$UBUNTU
		;;
	
	linspire)
		SUPPORTED_VER=$LINSPIRE
		SUPPORTED_OS=$TRUE
		;;

	debian)
		SUPPORTED_VER=$DEBIAN
		;;

	mepis)
		SUPPORTED_VER=$MEPIS
		SUPPORTED_OS=$TRUE
		;;

	*)
		SUPPORTED_OS=$FALSE
		;;
esac

for V in $SUPPORTED_VER; do
	if [ "$V" == "$OSVER" ]; then
		SUPPORTED_OS=$TRUE
		break
	fi
done

if [ $SUPPORTED_OS -eq $TRUE ]; then
	exit 0  # supported
else
	echo "(EE) Not supported linux system"
	exit 1  # not supported
fi
